package com.icomsys.main_vm.biz.common.system.vo;

import com.icomsys.main_vm.db.jpa.entity.system.id.TbBotCommonCodeId;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
public class SystemCommonCodeDeleteReq {

    private String custCode;
    private String serviceGroup;
    private String minorCode;
    private String majorCode;


    public TbBotCommonCodeId delId(){
        return TbBotCommonCodeId.builder()
                .custCode(this.custCode)
                .oprMngCode(this.custCode+"_RCP_"+this.serviceGroup)
                .majorCode(this.majorCode)
                .minorCode(this.minorCode)
                .build();
    }

}
